Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Mono.Security.Protocol.Ntlm.MessageBase A Type3 message is used by a client to answer the challenge issued by the server. To be added
- Constructor
  Construct an empty Type3Message instance.
  This constructor is used on the client side to construct a Type3 message to be sent to a server.
  1.0.5000.0
  2.0.0.0
- Constructor
  an array of bytes containing the Type3 message to decode.
  Construct an Type3Message instance with the specified message.
  This constructor is used on the server side to decode a Type3 message received from a client.
  1.0.5000.0
  2.0.0.0
- Property
  System.Byte[] Set the challenge (random numbers) to calculate the response. a containing the Nonce received from the server. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` an array of bytes containing the message to decode. Decode the specified binrary message. To be added 1.0.5000.0 2.0.0.0
- Property
  System.String The (NetBIOS) domain name of the current computer. a representing the domain name of the current computer. Defaults to .. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] Return the binary message. an array of bytes containing the constructed message. To be added 1.0.5000.0 2.0.0.0
- Property
  System.String The (NetBIOS) host name of the computer. a representing the current (NetBIOS) host name of the computer. Defaults to .. 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] Return the LAN Manager (LM) part of the response. a containing the LAN Manager (LM) response. See . for more details. 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] Return the NT part of the response. a containing the NT response. See . for more details. 1.0.5000.0 2.0.0.0
- Property
  System.String The user's password. a representing the user's password. The supplied password is used in the response calculation. It is never reflected in clear in the message data. 1.0.5000.0 2.0.0.0
- Property
  System.String The username for which the password is supplied. a representing the user name. Defaults to .. 1.0.5000.0 2.0.0.0